
Cook: bsc 3.1.0
================================================================================
QA: checking package receipt...
Extracting source archive "bsc-3.1.0.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/adler32/adler32.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/bwt/divsufsort/divsufsort.c
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/bwt/bwt.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/coder/coder.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/coder/qlfc/qlfc.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/coder/qlfc/qlfc_model.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/filters/detectors.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/filters/preprocessing.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/libbsc/libbsc.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/lzp/lzp.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/platform/platform.cpp
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG -c libbsc/st/st.cpp
rm -f libbsc.a
ar cq libbsc.a adler32.o divsufsort.o bwt.o coder.o qlfc.o qlfc_model.o detectors.o preprocessing.o libbsc.o lzp.o platform.o st.o 
ranlib libbsc.a
g++ -g -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -O3 -fomit-frame-pointer -fstrict-aliasing -ffast-math -fopenmp -DLIBBSC_OPENMP_SUPPORT -DNDEBUG bsc.cpp -o bsc -L. -lbsc
bsc.cpp: In function 'void Decompression(char**)':
bsc.cpp:576:25: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
                         if (buffer != NULL) bsc_free(buffer); buffer = (unsigned char *)bsc_malloc(bufferSize);
                         ^~
bsc.cpp:576:63: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
                         if (buffer != NULL) bsc_free(buffer); buffer = (unsigned char *)bsc_malloc(bufferSize);
                                                               ^~~~~~
================================================================================

================================================================================


Pack: bsc 3.1.0
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.30s. Size: 696244 B -> 239148 B. Save: 446 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "bsc-3.1.0.tazpkg"                                Done
The release checksum has changed.
================================================================================
Package "bsc-3.1.0.tazpkg" created


Summary for: bsc 3.1.0
================================================================================
Src file    : bsc-3.1.0.tar.gz
Src size    : 192.0K
Source dir  : 3.1M
Produced    : 692.0K
Cook time   : 13s
Cook date   : 2018-03-07 05:54
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  264.0K :      92.3K :     1 : bsc-3.1.0.tazpkg
================================================================================

Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Done
Checking libtool in source/bsc-3.1.0...                                Done
Checking site script in source/bsc-3.1.0...                            Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Done
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================

